# List all available export files for a given type.

Returns a list of all export files for the specified type within the caller's program. Each file entry includes an opaque file ID that can be used with the show endpoint to obtain a presigned download URL.Valid type names: users, campaigns, activities.Pass export_type=historical to read the files generated for a historical data request instead of the recurring exports.

Endpoint: GET /v2/data_exports/type/{type_name}
Version: 2026-05-01
Security: oauth2_as_a_server, oauth2_as_a_user

## Security:

  - `oauth2_as_a_server` (unknown)
    oauth2 scopes: data_exports.read

  - `oauth2_as_a_user` (unknown)
    oauth2 scopes: data_exports.read

## Path parameters:

  - `type_name` (string, required)
    The export type. One of: users, campaigns, activities.

## Query parameters:

  - `export_type` (string)
    Which set of exports to read. Omit for the recurring exports, which is the default and what this endpoint has always returned.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (array)

  - `data.files` (array)

  - `data.files.id` (string)
    Opaque file identifier (base64url-encoded).

  - `data.files.file_name` (string)
    The name of the file.
    Example: part-00000-abc123.csv.gz

  - `data.files.generated_at` (string)
    Timestamp of when the export was generated (YYYY-MM-DD-HH).
    Example: 2025-01-15-06

  - `data.files.base_name` (string)
    The base export name.
    Example: unload_user_data

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)

  - `error.title` (string, required)

  - `error.detail` (string, required)

  - `error.validations` (array)

  - `error.validations.rule` (string, required)

  - `error.validations.parameter` (string)

  - `error.validations.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthenticated

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)

  - `error.title` (string, required)

  - `error.detail` (string, required)

  - `error.validations` (array)

  - `error.validations.rule` (string, required)

  - `error.validations.parameter` (string)

  - `error.validations.message` (string)

